Uploaded image for project: 'Cassandra'
  1. Cassandra
  2. CASSANDRA-15048

Upgrade Netty to support TLS 1.3

    XMLWordPrintableJSON

Details

    • Improvement
    • Status: Open
    • Low
    • Resolution: Unresolved
    • None
    • Feature/Encryption
    • None

    Description

      TLS 1.3 support has been added to Netty 4.1.31. As the Cassandra trunk is already relying on Netty 4.1.28, it would take a patch version upgrade and a SslContext configuration change for Cassandra 4.0 to support TLS 1.3. 

      Attachments

        Activity

          People

            Unassigned Unassigned
            mfiguiere Michaël Figuière
            Votes:
            0 Vote for this issue
            Watchers:
            4 Start watching this issue

            Dates

              Created:
              Updated: